.sol {
  fill: var(--blanc);
  opacity: 0.5;
}
#Entrée {
  fill: var(--blanc);
  stroke: var(--noir);
}

#Accueil_caisse,
#Photobooth,
#Partie_Musée_raconte_l_histoire_des_marques_et_fondations_,
._Étales_vendre_produits_,
#Bar_snacks {
  cursor: pointer;
  stroke-width: 3px;
  fill: var(--blanc);
  stroke: var(--noir);
  transition: opacity 0.2s ease-in-out, 0.2s ease-in-out,
    transform 0.2s ease-in-out, stroke 0.2s ease-in-out, fill 0.2s ease-in-out;
}
#Accueil_caisse:hover,
#Photobooth:hover,
#Partie_Musée_raconte_l_histoire_des_marques_et_fondations_:hover,
._Étales_vendre_produits_:hover,
#Bar_snacks:hover {
  transform: translateY(-55px);
  stroke: var(--blanc);
  fill: var(--vert);
}

.lieu-grp .lieu {
  transition: filter 0.2s ease-in-out;
}
.lieu-grp:hover .lieu {
  filter: drop-shadow(16px 16px 20px var(--blanc));
}

.plan h2 {
  color: var(--blanc);
  padding-left: 5%;
}
.plan__svg-container {
  width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}
.plan {
  background-color: var(--noir);
  position: relative;
}

#Plan_POP_UP_store_ {
  max-width: 800px;
  padding-bottom: 100px;
  overflow: visible;
}

/* Label styles */

.label-line {
  stroke: var(--blanc);
  stroke-width: 3;
  fill: none;
  stroke-dasharray: 200;
  stroke-dashoffset: 200;
}

.label-text {
  fill: var(--blanc);
  font-size: 48px;
  font-weight: 500;
  opacity: 0;
  transform: translateY(10px);
}

.label {
  pointer-events: none;
}
.description-container {
  position: absolute;
  top: 150px;
  left: 5%;
  max-width: 240px;
  opacity: 0;
  transform: translateY(10px);
}

.desc-lieu {
  font-size: 1.2rem;
  color: var(--blanc);
}

@media (max-width: 750px) {
  .description-container {
    position: static; /* Change de absolute à static */
    max-width: 100%;
    padding: 0 5% 100px 5%;
    opacity: 1; /* Rendre visible par défaut en mobile */
    transform: none;
  }

  .plan__svg-container {
    order: -1; /* Met le SVG avant le description-container */
  }
  #Plan_POP_UP_store_ {
    padding-bottom: 40px;
    padding-top: 100px;
  }
  .plan {
    display: flex;
    flex-direction: column;
  }
  .plan h2 {
    margin-bottom: 20px;
  }

  .desc-lieu {
    font-size: 1rem;
  }
}
